#### Description:

This function returns a boolean result (0 or 1) to indicate whether a value has been explicitly set for one of an Object`’` s attributes.

#### Synopsis

int astTest( AstObject ∗this, const char ∗attrib )

#### Parameters:

##### this

Pointer to the Object.

##### attrib

Pointer to a null-terminated character string containing the name of the attribute to be tested.

#### Applicability

##### Object

This function applies to all Objects.

#### Returned Value

##### astTest()

One if a value has previously been explicitly set for the attribute (and hasn`’` t been cleared), otherwise zero.

#### Notes:

- Attribute names are not case sensitive and may be surrounded by white space.

- A value of zero will be returned if this function is invoked with the AST error status set, or if it should fail for any reason.

- A value of zero will also be returned if this function is used to test a read-only attribute, although no error will result.

Copyright (C) 2021 East Asian Observatory